/**
 * Задание 1.
 *
 * Написать скрипт, который создаст элемент button с текстом «Войти».
 *
 * При клике по кнопке выводить alert с сообщением: «Добро пожаловать!».
 */


const button = document.createElement('button');
button.innerText = 'Войти';
document.body.appendChild(button);
button.onclick = () => alert('Добро пожаловать!');


addEventListener(
    'mouseover',
    () => alert('При клике по кнопке вы войдете в систему.'),
    {once:true}
    );

/**
 * Задание 2.
 *
 * Улучшить скрипт из предыдущего задания.
 *
 * При наведении на кнопку  указателем мыши, выводить alert с сообщением:
 * «При клике по кнопке вы войдёте в систему.».
 *
 * Сообщение должно выводиться один раз.
 *
 * Условия:
 * - Решить задачу грамотно.
 */

'mouseover'
once : true